Bug 84277 - [V8] Pass Isolate to GetNamedProperty()
: [V8] Pass Isolate to GetNamedProperty()
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Kentaro Hara
:
Depends on:
Blocks: 84074
  Show dependency treegraph
 
Reported: 2012-04-18 14:07 PDT by Kentaro Hara
Modified: 2012-04-24 04:28 PDT (History)
3 users (show)

See Also:


Attachments
Patch (4.60 KB, patch)
2012-04-18 14:09 PDT, Kentaro Hara
webkit.review.bot: commit‑queue-
Details | Formatted Diff | Diff
patch for landing (4.00 KB, patch)
2012-04-23 13:11 PDT, Kentaro Hara
webkit.review.bot: commit‑queue-
Details | Formatted Diff | Diff
patch for landing (4.00 KB, patch)
2012-04-23 18:33 PDT, Kentaro Hara
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kentaro Hara 2012-04-18 14:07:10 PDT
The objective is to pass Isolate around in V8 bindings. In this bug, we pass Isolate to GetNamedProperty().
Comment 1 Kentaro Hara 2012-04-18 14:09:12 PDT
Created attachment 137764 [details]
Patch
Comment 2 WebKit Review Bot 2012-04-23 12:37:07 PDT
Comment on attachment 137764 [details]
Patch

Rejecting attachment 137764 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
webkit-commit-queue/Source/WebKit/chromium/webkit --revision 133422 --non-interactive --force --accept theirs-conflict --ignore-externals' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
48>At revision 133422.

________ running '/usr/bin/python tools/clang/scripts/update.py --mac-only' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'

________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
Updating webkit projects from gyp files...

Full output: http://queues.webkit.org/results/12471066
Comment 3 Kentaro Hara 2012-04-23 13:11:04 PDT
Created attachment 138407 [details]
patch for landing
Comment 4 WebKit Review Bot 2012-04-23 17:58:50 PDT
Comment on attachment 138407 [details]
patch for landing

Rejecting attachment 138407 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 1

ERROR: /mnt/git/webkit-commit-queue/Source/WebCore/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: http://queues.webkit.org/results/12523082
Comment 5 Kentaro Hara 2012-04-23 18:33:01 PDT
Created attachment 138484 [details]
patch for landing
Comment 6 WebKit Review Bot 2012-04-23 22:08:12 PDT
Comment on attachment 138484 [details]
patch for landing

Clearing flags on attachment: 138484

Committed r114996: <http://trac.webkit.org/changeset/114996>